package drivers;

/**
 * This just is a correspondance between Device names and Device IDs.
 * 
 * @author and copyright (C) Wolfgang Lenerz 2008-2021.
 */
public class DeviceNames
{
    private static final java.util.HashMap<String, Integer> NAME_TO_ID=new java.util.HashMap<String, Integer>(10); 
    private static final java.util.HashMap<Integer,String> ID_TO_NAME=new java.util.HashMap<Integer,String>(10); 
     
    public static final int getID(String name)
    {
        return NAME_TO_ID.get(name);
    }
    
    public static final String getName(int ID)
    {
        return ID_TO_NAME.get(ID);
    }
     
    public static final void setName(String name,int ID)
    {
        NAME_TO_ID.put(name, ID);
    }
    
    public static final void setID(int ID,String name)
    {
        ID_TO_NAME.put(ID,name);
    }
   
    public static final void setBoth(String name,int ID)
    {
        NAME_TO_ID.put(name, ID);
        ID_TO_NAME.put(ID,name);
    }
}
