package drivers.ser;

import com.fazecast.jSerialComm.*;
/**
 * Just a data object. 
 * 
 * @author and copyright Wolfgang Lenerz
 * @version  1.00 
 */
public class SerPortDefinition 
{
    public final String OSname;
    public final String name;
    public final String description;
    public final SerialPort serialPort;
    
    /**
     * Creates the object - any null string is replaces by "".
     * 
     * @param serialPort
     * @param OSname
     * @param name
     * @param description 
     */
    public SerPortDefinition (SerialPort serialPort,String OSname, String name, String description)
    {
        this.serialPort= serialPort;
        this.OSname = (OSname==null)?"":OSname;
        this.name = (name==null)?"":name;
        this.description= (description == null)?"":description;
    }
}
